#
# spec file for package zdbsp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zdbsp
Version:        1.18.1
Release:        9.3
Summary:        Nodebuilder for ZDoom
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            http://zdoom.org/

Source:         zdbsp-%version.tar.xz
Patch1:         zdbsp-automake.diff
Patch2:         zdbsp-bigendian.diff
Patch3:         zdbsp-notime.diff
BuildRequires:  autoconf >= 2.63
BuildRequires:  automake >= 1.9
BuildRequires:  gcc-c++
BuildRequires:  xz
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ZDBSP is ZDoom's (internal and external) node builder. This node
builder was written with two design goals in mind: speed and
minimization of polyobject bleeding.

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -p1

%build
autoreconf -fi
%ifarch %ix86 x86_64
# got asm
export CFLAGS="%optflags -fno-PIE"
export CXXFLAGS="$CFLAGS"
%endif
%configure

make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%_bindir/*
%doc COPYING

%changelog
* Thu Mar  5 2015 jengelh@inai.de
- Preemptively disable PIE, since there is assembler included
* Sat Mar 23 2013 jengelh@inai.de
- Add patch zdbsp-bigendian.diff to resolve compile problems
  on SPARC
- Force disable of SSE on non-x86ish
* Wed Jan  9 2013 jengelh@inai.de
- Update to new upstream release 1.18.1
  * Introduce a new node format for better compatibility with UDMF
  maps that have vertices with fractional coordinates.
* Thu May 17 2012 joop.boonen@opensuse.org
- Added missing BuildRequires automake
- Cleaned up the spec file
* Tue Aug 31 2010 jengelh@medozas.de
- Update to new upstream release 1.17
  * This version fixes a critical bug introduced in 1.16 that caused
  it to write garbage for normal nodes.
  * minor performance improvements
* Tue Jul 27 2010 jengelh@medozas.de
- Update to new upstream release 1.16
  * correctly write nodes for maps with more than 64K vertices
  * support for uncompressed extended nodes for prBoom+
* Tue Jul 27 2010 jengelh@medozas.de
- Split up zdoom package into its components
- ZDBSP 1.14
